%define major 20
%define libname %mklibname hd %major
%define develname %mklibname -d hd

Name:           hwinfo
License:        GPLv2+
Group:          System/Kernel and hardware
Summary:        Hardware Library
Version:        20.1
Release:        %mkrel 1
# Source are generated for git
# git clone git://gitorious.org/opensuse/hwinfo.git
# pushd hwinfo && git checkout %{version} && popd
# tar -jcf %{name}-%{version}.tar.bz2  hwinfo
Source:         %{name}-%{version}.tar.bz2
URL:		http://gitorious.org/opensuse/hwinfo
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  perl-XML-Parser
BuildRequires:  perl-XML-Writer
BuildRequires:  udev
BuildRequires:	git
%ifarch %{ix86} x86_64
BuildRequires:  libx86emu-devel
%endif

%description
A simple program that lists results from the hardware detection
library.

%files
%doc README
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*

#--------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This library collects information about the hardware installed on a
system.

%files -n %libname
%{_libdir}/libhd.so.%{major}*

#---------------------------------------------------------------------------

%package -n %{develname}
Summary:        Devel files for %{name}
Group:          Development/Other
Requires:	%name = %version-%release
Requires:       %libname = %version-%release
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhd-devel = %{version}-%{release}

%description -n %{develname}
This package provides the devel files for %{name}.

%files -n %develname
%defattr(-,root,root)
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h

#------------------------------------------------------------------------------
%prep
%setup -qn %{name}

%build
make LIBDIR=%{_libdir} LDFLAGS="%{optflags} -Lsrc"
make doc

%install
%makeinstall_std LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi


%changelog

* Sun Feb 17 2013 luigiwalser <luigiwalser> 20.1-1.mga3
+ Revision: 398904
- BR git
- upload correct tarball

  + dams <dams>
    - new version 20.1

* Sat Jan 12 2013 umeabot <umeabot> 20.0-2.mga3
+ Revision: 353785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 27 2012 fedya <fedya> 20.0-1.mga3
+ Revision: 284468
- version update 20.0

* Mon Jun 20 2011 tv <tv> 18.5-1.mga2
+ Revision: 110717
- new release
- drop HAL support
- let's be ARM friendly

* Sun Feb 20 2011 mikala <mikala> 18.3-1.mga1
+ Revision: 54491
- imported package hwinfo

